<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: missing_profile_info_panel.php
| Version: 2.00
| Author: Fangree Productions
| Developers: Fangree_Craig & Ankur Thakur
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Include Infusion Functions
require_once INCLUDES."infusions_include.php";

// Folder
$mpi_folder = "missing_profile_info_panel";

// Including Locales
if (file_exists(INFUSIONS.$mpi_folder."/locale/".$settings['locale'].".php")) {
	include INFUSIONS.$mpi_folder."/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS.$mpi_folder."/locale/English.php";
}

// Main Settings
$mpi_mainsettings = get_settings($mpi_folder."_setting");

//Set image
set_image("attention",  INFUSIONS.$mpi_folder."/images/attention.png");

// Add Style for Missing Profile info Panel Message
add_to_head("<style type='text/css'> .mpip-outer{padding: 5px 0px 10px 0px; /* top right bottom left*/}
		.mpip-main { border: 1px solid; padding: 15px 0px 15px 40px; /* top right bottom left*/
		background-repeat: no-repeat; background-position: 7px center;
		 background-color: #FFBABA; background-image: url(".get_image("attention").");
		border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; } </style>");


// Starting of Panel
if (iMEMBER && ($mpi_mainsettings['mpi_enabled'] == "1"))
{
// Get The Userfields from SETTINGS INF Table
$mpi_fields = get_settings($mpi_folder);

// Enabled Fields will be added in this Array
$fields = array();

// Changing the name of Userfields to Good Format, i.e, from mpi_user_field to user_field
foreach ($mpi_fields as $key => $value)
{
	if ($value == "1")
	{
		$fields[] = substr($key, 4);
	}
}

// A Flag to check if User has no Field incomplete, to Not to show the Panel
$show_panel_flag = 0;

// Starting Output
$panel_output = "";

ob_start();

// Exception Checking for User Avatar
if (($userdata['user_avatar'] == "") && ($mpi_mainsettings['mpi_avatar_check'] == "1"))
{
	$show_panel_flag = 1;
	echo "<strong>".$locale['mpip_004']."</strong><br />";
}

// Checking Fields for Empty status
foreach ($fields as $key => $value)
{
	if ($userdata[$value] == "")
	{
		$show_panel_flag = 1;

		$user_field_name = "";

		if (file_exists(LOCALE.LOCALESET."user_fields/".$value.".php"))
		{
			include LOCALE.LOCALESET."user_fields/".$value.".php";
		}
		if (file_exists(INCLUDES."user_fields/".$value."_include_var.php"))
		{
			include INCLUDES."user_fields/".$value."_include_var.php";
		}
		echo "<strong>".$user_field_name.$locale['mpip_002']."</strong><br />";
	}
}

$panel_output .= ob_get_contents();
ob_end_clean();

if ($show_panel_flag == 1)
{
    echo"<div class='mpip-outer center'>\n
	<div class='mpip-main'>\n";
	echo nl2br(parsesmileys(parseubb(stripinput($mpi_mainsettings['mpi_msg']))))."\n\n";
	echo "<br />".$panel_output;
    echo"</div>\n</div>\n";
}

}

?>