<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: missing_profile_info_panel_admin.php
| Version: 2.00
| Author: Fangree Productions
| Developers: Fangree_Craig & Ankur Thakur
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."infusions_include.php";
require_once INCLUDES."bbcode_include.php";

if (!checkrights("MPI")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."missing_profile_info_panel/locale/English.php"; 
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}

// Main Settings
$mpi_mainsettings = get_settings("missing_profile_info_panel_setting");

// Get The Userfields from SETTINGS INF Table
$mpi_update_settings = get_settings("missing_profile_info_panel");

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Infusion Settings Query
if (isset($_POST['saveinfusionsettings']))
{
	$error = 0;
	// Post parameter array for Enabled Userfields using CHECKBOXES
	if (isset($_POST['enabled_uf']) && is_array($_POST['enabled_uf']) && count($_POST['enabled_uf']))
	{
		$enabled = "";
		$to_add = array();

		foreach ($_POST['enabled_uf'] as $enabled_name)
		{
			if(!array_key_exists($enabled_name, $mpi_update_settings))
			{
				// If the Userfield doesn't exist in SETTINGS_INF Table, then add it
				$to_add[] = $enabled_name;
			}
			else
			{
				// If User field already exists, then we willl be going to update its value
				$enabled .= ($enabled ? "," : "")."'".$enabled_name."'";
			}
		}
		// It will enable the Existing Fields
		if ($enabled)
		{
			$result = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='1' WHERE settings_name IN (".$enabled.") AND settings_inf='missing_profile_info_panel'");
			if (!$result) {	$error = 1;	}
			$result = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='0' WHERE settings_name NOT IN (".$enabled.") AND settings_inf='missing_profile_info_panel'");
			if (!$result) {	$error = 1;	}
		}
		// It will add new fields to show in SETTINGS_INF Table if it already doesn't exist
		if (!empty($to_add))
		{
			foreach ($to_add as $addname)
			{
				$result = dbquery("INSERT INTO ".DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('".$addname."', '1', 'missing_profile_info_panel')");
				if (!$result) {	$error = 1;	}
			}
		}
	}

	if (isset($_POST['mpi_enabled']) && isNum($_POST['mpi_enabled']) && isset($_POST['mpi_msg']) && isset($_POST['mpi_avatar_check']) && isNum($_POST['mpi_avatar_check']))
	{
			$result = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".$_POST['mpi_enabled']."' WHERE settings_name='mpi_enabled' AND settings_inf='missing_profile_info_panel_setting'");
			if (!$result) {	$error = 1;	}
			$result = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".$_POST['mpi_msg']."' WHERE settings_name='mpi_msg' AND settings_inf='missing_profile_info_panel_setting'");
			if (!$result) {	$error = 1;	}
			$result = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".$_POST['mpi_avatar_check']."' WHERE settings_name='mpi_avatar_check' AND settings_inf='missing_profile_info_panel_setting'");
			if (!$result) {	$error = 1;	}
	}

	if ($error == 1)
	{
		redirect(FUSION_SELF.$aidlink."&error=1");
	}
	else
	{
		redirect(FUSION_SELF.$aidlink."&error=0");
	}
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Get The Userfields
$mpitmpsettings = get_settings("missing_profile_info_panel");
$mpisettings = array();

// Changing the name of Userfields to Good Format, i.e, from mpi_user_field to user_field
foreach ($mpitmpsettings as $key => $value)
{
	$mpisettings[substr($key, 4)] = $value;
}

// Select the User fields according to their Order
$userfields = dbquery("SELECT field_name FROM ".DB_USER_FIELDS." ORDER BY field_order DESC");
$fields = array();

while ($data = dbarray($userfields))
{
	$fields[] = $data['field_name'];
}

opentable($locale['admin_title']);

echo "<form name='infusion_settings' method='post' action='".FUSION_SELF.$aidlink."'>\n";

// Main Settings
echo "<table cellpadding='0' cellspacing='0' width='60%' style='margin-top: 10px;' class='tbl-border center'>\n";

echo "<tr>\n";
echo "<td class='tbl2'></td>\n";
echo "<td class='tbl2'><strong>".$locale['admin_ms']."</strong></td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><strong>".$locale['admin_001']."</strong></td>\n";
echo "<td class='tbl2'>";
echo "<select name='mpi_enabled' class='textbox'>";
echo "<option value='0'".($mpi_mainsettings['mpi_enabled'] == 0 ? "selected='selected'" : "").">".$locale['519']."</option>\n";
echo "<option value='1'".($mpi_mainsettings['mpi_enabled'] == 1 ? "selected='selected'" : "").">".$locale['518']."</option>\n";
echo "</select>";
echo "</td>\n</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2' style='vertical-align:top;'><strong>".$locale['admin_002']."</strong></td>\n";
echo "<td class='tbl2'><textarea name='mpi_msg' cols='60' rows='5' class='textbox' style='width:300px;'>".$mpi_mainsettings['mpi_msg']."</textarea><br />\n";
echo display_bbcodes("300px;", "mpi_msg", "infusion_settings")."\n";
echo "</td></tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><strong>".$locale['admin_007']."</strong></td>\n";
echo "<td class='tbl2'>";
echo "<select name='mpi_avatar_check' class='textbox'>";
echo "<option value='0'".($mpi_mainsettings['mpi_avatar_check'] == 0 ? "selected='selected'" : "").">".$locale['519']."</option>\n";
echo "<option value='1'".($mpi_mainsettings['mpi_avatar_check'] == 1 ? "selected='selected'" : "").">".$locale['518']."</option>\n";
echo "</select>";
echo "</td>\n</tr>\n";

echo "</table>\n";

// User Fields
echo "<table cellpadding='0' cellspacing='0' width='60%' style='margin-top: 10px;' class='tbl-border center'>\n";

echo "<tr>\n";
echo "<td class='tbl2'></td>\n";
echo "<td class='tbl2'><strong>".$locale['admin_uf']."</strong></td>\n";
echo "<td class='tbl2'></td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><strong>".$locale['admin_004']."</strong></td>\n";
echo "<td class='tbl2'><strong>".$locale['admin_005']."</strong></td>\n";
echo "<td class='tbl2'><strong>".$locale['admin_006']."</strong></td>\n";
echo "</tr>\n";

// For each Userfield, include them
foreach ($fields as $key => $value)
{
	if (file_exists(LOCALE.LOCALESET."user_fields/".$value.".php"))
	{
		include LOCALE.LOCALESET."user_fields/".$value.".php";
	}
	if (file_exists(INCLUDES."user_fields/".$value."_include_var.php"))
	{
		include INCLUDES."user_fields/".$value."_include_var.php";
	}

	// Check if the Userfield is a field who wants Input from User
	if ($user_field_dbinfo != "")
	{
		echo "<tr>\n";
		echo "<td class='tbl2'><strong>".$user_field_name."</strong></td>\n";
		echo "<td class='tbl2'>";
		// Check if Userfield is already in SETTINGS_INF table, then check its value, i.e 0 or 1
		if(array_key_exists($value, $mpisettings))
		{
			echo "<input type='checkbox' name='enabled_uf[]' value='mpi_".$value."'".($mpisettings[$value] == 1 ? " checked='yes'" : "")." />";
		}
		else
		{
			// If its a new userfield, which is not added yet, then just show it to add.
			echo "<input type='checkbox' name='enabled_uf[]' value='mpi_".$value."' />";
		}
		echo "</td>\n";
		echo "<td class='tbl2'>".$user_field_desc."</td>\n";
		echo "</tr>\n";
	}
}

echo "<tr>\n";
echo "<td class='tbl2'></td>\n";
echo "<td class='tbl2'><input type='submit' name='saveinfusionsettings' value='".$locale['750']."' class='button' /></td>\n";
echo "<td class='tbl2'></td>\n";
echo "</tr>\n";

echo "</table>\n</form>\n";

closetable();

require_once THEMES."templates/footer.php";
?>